de.esprit.netsuite.server.auth

## Class DefaultUser

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.netsuite.server.auth.AbstractUser
      - - de.esprit.netsuite.server.auth.DefaultUser

- All Implemented Interfaces:
    Renderable, DeepCloneable, Dumpable, User, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable

      public final class DefaultUser
      extends AbstractUser

  This User implementation represents user entries defined in the srv_user.cfg file
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface de.esprit.netsuite.server.auth.User

      `CHANGED_TS, COMMENT, CREATED_TS, EMAIL, FORE_NAME, GID, IS_ADMIN, IS_LOCKED, LANGUAGE, LAST_NAME, LOGIN_NAME, PASSWORD, UID, userDocType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultUser(int uid, int gid, Language lang, java.lang.String userName, java.lang.String foreName, java.lang.String lastName, java.lang.String email, boolean isAdmin, boolean isLocked, java.lang.String password, java.sql.Timestamp createdTs, java.sql.Timestamp changedTs, java.lang.String comment)`
    `DefaultUser(java.lang.String userName, java.lang.String foreName, java.lang.String lastName)` Constructor for creating new User instances This instance will have a UID=-1 and thus remains invalid until inserted by the `UserManager`.

  - ### Method Summary

    - ### Methods inherited from class de.esprit.netsuite.server.auth.AbstractUser

      `clone, compareTo, equals, getChangedTimestamp, getComment, getCreatedTimestamp, getEmailAddress, getForeName, getGID, getLanguage, getLastName, getLoginName, getPassword, getRenderColor, getRenderIcon, getRenderText, getUID, getUserId, hashCode, isAdmin, isLocked, setAdmin, setChangedTimestamp, setComment, setCreatedTimestamp, setEmailAddress, setForeName, setGID, setLanguage, setLastName, setLocked, setLoginName, setPassword, setUID, toDumpString, toString`

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `copy`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.common.type.Dumpable

      `toDumpString, toString`

- - ### Constructor Detail

    - #### DefaultUser

          public DefaultUser(java.lang.String userName,
                     java.lang.String foreName,
                     java.lang.String lastName)

      Constructor for creating new User instances This instance will have a UID=-1 and thus remains invalid until inserted by the `UserManager`. Such an instance is just used as a carrier for all supported user properties.

    - #### DefaultUser

          public DefaultUser(int uid,
                     int gid,
                     Language lang,
                     java.lang.String userName,
                     java.lang.String foreName,
                     java.lang.String lastName,
                     java.lang.String email,
                     boolean isAdmin,
                     boolean isLocked,
                     java.lang.String password,
                     java.sql.Timestamp createdTs,
                     java.sql.Timestamp changedTs,
                     java.lang.String comment)

Copyright © 2013 EsprIT-Systems. All Rights Reserved.